.footer {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    min-height: 100dvh;
    min-height: -webkit-fill-available;

    padding-bottom: env(safe-area-inset-bottom);
    box-sizing: border-box;
    
}

.thankyou {
    flex: 1;
    padding: 1rem 2rem;
    color: var(--text-on-dark);
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    gap: 1rem;
    overflow: hidden;
}

.thankyou img {
    max-height: 50vh;
    width: auto;
    height: auto;
    max-width: 100%;
    object-fit: contain;
    border-radius: 1.5rem;
    display: block;
}

.thankyou p,
.thankyou h4 {
    font-family: var(--font-body);
}

.thankyou p {
    font-size: 1rem;
    margin-bottom: 1rem;
}

.thankyou h4 {
    font-size: 1.2rem;
    color: var(--background);
}

.thankyou h1 {
    font-family: var(--font-heading);
    font-size: 2rem;
    letter-spacing: 0.1rem;
}

.design-by {
    background: var(--background);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--text-primary);

    padding-top: 1rem;
    padding-bottom: calc(1rem + env(safe-area-inset-bottom));
}

.design-by h4 {
    font-size: 1rem;
}

.design-by h3 {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    font-family: var(--font-heading);
    font-style: italic;
}

.design-by .social-media {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.social-media i {
    color: var(--text-on-dark);
    background: var(--text-primary);
    padding: 0.5rem;
    border-radius: 100%;
    transition: background 0.5s ease, color 0.5s ease;
}

.social-media i:hover{
    color: var(--text-primary);
    background: transparent;
}
